YITH WooCommerce Stripe

Descripción

Stripe es una extensión de WooCommerce que te permite añadir una nueva pasarela de pago a tu sitio de comercio electrónico y le da a tus usuarios la posibilidad de pagar directamente con tarjeta de crédito a través del proceso de pago de Stripe.

Stripe está disponible en Estados Unidos, Canadá, Reino Unido, Australia, Bélgica, Francia, Alemania, Irlanda, Países Bajos
y muchos más – Ver ¿En qué países está disponible Stripe?

Ventajas de Stripe:

  • »Probada protección fraudulenta», Stripe trabaja activamente para proteger tu negocio de cobros fraudulentos y controla transacciones sospechosas.
  • »Actuar localmente, trabajar globalmente», trabaja clientes internacionales nada más sacarlo de la caja mientras sigues obteniendo pagos en tu moneda preferida.
  • »Operaciones simplificadas», gestionar el soporte de facturación y disputas es fácil con Stripe – errores de dirección con unos pocos clics, o automatizarlo.
  • «Sistemas probados», alta disponibilidad, informes de actividad transparentes y siempre preparados para para transacciones de alto rendimiento.
  • »Seguridad perfecta», Stripe proporciona seguridad sin dolores de cabeza.

Por favor, lee la documentación oficial de plugin para conocer todas las características.

Capturas

  • El método de pago en la página de pago
  • Página de pago
  • Panel de Proceso de Pago de Stripe.com
  • Configurar

Instalación

  1. Descomprime el archivo zip descargado.
  2. Sube la carpeta del plugin al wp-content/plugins/ directorio de tu sitio WordPress.
  3. Activa YITH WooCommerce Stripe desde la página Plugins

Confirguración

YITH WooCommerce Stripe añadirá una nueva pestaña de ajustes llamada «Stripe», en Woocommerce -> Ajustes -> Proceso de pago -> Stripe. Desde allí podrás configurar todas las opciones del plugin.
Debes registrarte en Stripe.com y configurar la clave API en los ajustes del plugin.
Puedes obtener las claves API desde tu panel de stripe.

FAQ

¿Es compatible este plugin con el proceso de pago de Stripe?

¡Sí, lo hace! Después de que el usuario haya rellenado toda la información en la página del proceso de pago, será redirigido a la página de pago donde puedes encontrar el botón del Proceso de pago de Stripe y pagar.

¿Qué países aceptan Stripe?

Stripe está disponible en muchos países y esta en constante expansión. Para ver si está disponible en tu país, visita la página global de Stripe.

¿Necesita Stripe que mi sitio tenga un certificado SSL?

Sí, siempre se debe usarse un certificado SSL con Stripe. Todas las paginas que incluyan un formulario de pago deben usar un prefijo con https://, no http://. Dirígete a la página de SSL de Stripe para más información.

Reseñas

16 de septiembre de 2020
3 days since I asked about my problem and all I heard was ..... -crickets! I don't understand how they expect us to buy the premium version.
13 de septiembre de 2019
does not integrate with woocommerce, try and try and the same happend
3 de septiembre de 2016
Unfortunately doesn't work. After completing payment i am sent to non existing page: /wc-api/YITH_WCStripe_Gateway/?reference=1239&amount=51&signature=2B9813F2AD7886DE58B3DA8313F997A5&stripeToken=tok_184S53CflQUDpAV4xjgUH4Co&stripeTokenType=card&stripeEmail=myemail%40mydomain.dk Will be back at late date to check if it's working, and change my review. Thank you for your effort in making plugins to WordPress and WooCommerce, it is much appreciated.
3 de septiembre de 2016
Probably the best Stripe plugin 🙂 Highly recommended.
8 de febrero de 2017
this plugin helped me a lot with my customers that don't want to use paypal. A credit cart payment is more confortable for some of those. Thanks to the developer
Leer todas las 11 reseñas

Colaboradores y desarrolladores

«YITH WooCommerce Stripe» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

«YITH WooCommerce Stripe» ha sido traducido a 3 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce «YITH WooCommerce Stripe» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

2.0.16 – Released on 12 November 2020

  • Actualización: plugin framework
  • Fix: avoid notice caused by missing YITH_WCSTRIPE_SLUG constant

2.0.15 – Released on 11 November 2020

  • New: support for WordPress 5.6
  • New: support for WooCommerce 4.7
  • Actualización: plugin framework
  • Update: Stripe PHP library to 7.62.0
  • Tweak: added minified versions of the scripts
  • Dev: removed deprecated .ready method from scripts

2.0.14 – Released on 16 October 2020

  • Actualización: plugin framework
  • Tweak: workaround to make Checkout mode work when Gift Cards are applied to the order

2.0.13 – Released on 30 September 2020

  • New: Support for WooCommerce 4.6
  • Actualización: plugin framework
  • Dev: added new filter yith_stripe_cancel_url

2.0.12 – Released on 18 September 2020

  • Nuevo: Compatible con WooCommerce 4.5
  • Actualización: plugin framework
  • Actualización: Biblioteca PHP de Stripe a la versión 7.52
  • Actualización: Versión de la API a 2020-08-27

2.0.11 – Released on 14 August 2020

  • Nuevo: Compatible con WordPress 5.5
  • Nuevo: Compatible con WooCommerce 4.4
  • Actualización: plugin framework
  • Actualización: Biblioteca de Stripe PHP actualizada a versión 7.47.0
  • Mejora: añadida comprobación YITH_DOING_RENEWS constante en el método de la pasarela is_available
  • Corrección: Eliminar etiquetas HTML de la descripción del producto en el modo Proceso de pago de Stripe
  • Desarrollo: añadido nuevo parámetro al filtro yith_wcstripe_checkout_session_detailed_line_items

2.0.10 – Released on 10 June 2020

  • Nuevo: Compatible con WooCommerce 4.2
  • Actualización: plugin framework
  • Actualización: Biblioteca de Stripe PHP actualizada a versión 7.37.0
  • Desarrollo: añadido filtro yith_wcstripe_capture_charge_params

2.0.9 – Released on 08 May 2020

  • Nuevo: Compatible con WooCommerce 4.1
  • Nuevo: añadidos detalles de línea para el Proceso de pago de Stripe
  • Actualización: plugin framework
  • Actualización: Biblioteca de Stripe PHP actualizada a versión 7.31.0
  • Corrección: error con artículo gratuito al crear la sesión de proceso de pago
  • Corrección: error de descripción breve en el artículo al crear la sesión de proceso de pago
  • Desarrollo: añadido filtro yith_wcstripe_checkout_session_detailed_line_items para desactivar los detalles de línea en el Proceso de pago de Stripe
  • Desarrollo: añadido filtro yith_wcstripe_session_param

2.0.8 – Released on 18 March 2020

  • Actualización: plugin framework
  • Corrección: panel de ajustes vacío

2.0.7 – Released on 14 March 2020

  • Nuevo: Compatible con WordPress 4.0
  • Nuevo: Compatible con WooCommerce 4.0
  • Nuevo: compatible con API 2020-03-02
  • Actualización: Biblioteca php de Stripe a la versión 7.27.2
  • Actualización: plugin framework

2.0.6 – Released on 24 December 2019

  • Nuevo: Compatible con WooCommerce 3.9
  • Actualización: plugin framework
  • Actualización: Biblioteca de Stripe a la versión 7.14.2
  • Actualización: API de Stripe a la versión 2019-12-03
  • Corrección: Eliminado uso de Stripe\Exception\ApiErrorException::factory; usando nueva Excepción en su lugar

2.0.5 – Released on 12 December 2019

  • Actualización: Plugin framework

2.0.4 – Released on 29 November 2019

  • Actualización: gestor de avisos
  • Actualización: Plugin framework

2.0.3 – Released on 07 November 2019

  • Nuevo: Compatible con WordPress 5.3
  • Nuevo: Compatible con WooCommerce 3.8
  • Nuevo: compatible con API 2019-11-05
  • Actualización: Plugin framework
  • Actualización: Biblioteca StripePHP

2.0.2 – Released on 30 October 2019

  • Actualización: Plugin framework

2.0.1 – Released on 06 September 2019

  • Corrección: error en creación de sesión cuando el usuario es invitado (gracias a Paul & Maurice

2.0.0 – Released on 05 September 2019

  • Nuevo: compatible con la última versión API (2019-08-14)
  • Nuevo: Compatible con métodos de pago SCA solamente
  • Nuevo: Compatible con la nueva versión del Proceso de Pago de Stripe
  • Actualización: plugin framework interno
  • Actualización: Biblioteca php de Stripe a la versión 7.0.0
  • Corrección: error de variable indefinida en el método de informe del error de la pasarela
  • Eliminado: soporte a método de pago heredado (sugerido por Stripe)

1.9.3 – Released on 12 August 2019

  • Nuevo: Compatible con WooCommerce 3.7.0 RC2
  • Actualización: plugin framework interno
  • Corrección: calcular totales del carrito antes de enviarlo a Stripe para hacer que el proceso de pago de Stripe funcione con tarjetas regalo
  • Desarrollo: añadido método para clase API para actualizar tarjetas

1.9.2 – Released on 13 June 2019

  • Actualización: plugin framework interno
  • Desarrollo: Nuevo filtro yith_wcstripe_charge_params

1.9.1 – Released on 23 April 2019

  • Actualización: plugin framework interno

1.9.0 – Released on 11 April 2019

  • Nuevo: Compatible con Woocommerce 3.6
  • Nuevo: añadida comprobación en URL del sitio para establecer el Modo Prueba cuando el plugin está activado en una instalación de prueba
  • Mejora: Sistema de informes de error mejorado
  • Actualización: plugin framework interno
  • Actualización: Idioma holandés

1.8.1 – Released on 11 February 2019

  • Nuevo: Compatible con Woocommerce 3.5.4
  • Actualización: plugin framework interno
  • Actualización: Biblioteca php de Stripe a la versión 6.29.3

1.8.0 – Released on 19 December 2018

  • Nuevo: Compatible con WordPress 5.0
  • Nuevo: Compatible con WordPress 3.5.2
  • Nuevo: compatible con la última versión API (2018-11-08)
  • Mejora: comprobación de propiedades configurables en método update_subscription
  • Actualización: plugin framework interno
  • Actualización: Idioma holandés
  • Desarrollo: añadido filtro yith_wcstripe_error_message_order_note para permitir que codigo de terceros filtre los mensajes de error almacenados en las notas de pedido

1.7.2 – Released on 24 October 2018

  • Nuevo: Compatible con Woocommerce 3.5
  • Mejora: actualización del plugin framework

1.7.1 – Released on 15 October 2018

  • Corrección: enlaces erróneos en la página de administrador
  • Corrección: Restaurado panel del plugin bajo el menú de YITH
  • Actualización: Idioma italiano

1.7.0 – Released on 09 October 2018

  • Nuevo: Compatible con WordPress 4.9.8
  • Nuevo: Compatible con WooCommerce 3.5-RC
  • Nuevo: actualizada versión de API de Stripe API a 2018-09-24
  • Nuevo: actualización del plugin framework
  • Nuevo: Idioma Portugués (gracias a Ricardo A.)
  • Mejora: eliminada create_function para compatibilidad con php 7.2
  • Mejora: eliminada función WC obsoleta de la clase de pasarela
  • Correción: total del pedido al pagar desde un endpoint order-pay
  • Corrección: Notificación de error SSL en páginas de administrador
  • Corrección: Versión de Stripe API no válida
  • Desarrollo: Nuevo filtro añadido yith_wcstripe_gateway_us_icons
  • Desarrollo: Nuevo filtro añadido yith_wcstripe_gateway_default_icons
  • Desarrollo: Nuevo filtro añadido yith_wcstripe_gateway_icon
  • Desarrollo: añadido filtro yith_wcstripe_use_plugin_error_codes para mostrar la API original de los mensajes de error
  • Desarrollo: añadido filtro yith_wcstripe_error_message para permitir que código de terceros filtre mensajes de error

1.6.0 – Released on 28 May 2018

  • Nuevo: Compatible con Woocommerce 3.4.0
  • Nuevo: Compatible con WordPress 4.9.6
  • Nuevo: actualizado plugin-fw
  • Nuevo: Cumplimentación de GDPR
  • Nuevo: Biblioteca de Stripe 6.7.1 (Necesita actualización API en el panel de Stripe)
  • Desarrollo: añadido filtro yith_wcstripe_gateway_enabled para activar/desactivar Stripe Gateway de forma programada
  • Desarrollo: añadido filtro yith_wcstripe_gateway_id para permitir a los desarrolladores filtrar el ID de usuario (Usa este filtro según tu criterio; tras filtrar el ID de pasarela deberás configurar la pasarela de nuevo)

1.5.0 – Released on 08 February 2018

  • Nuevo: Compatible con Woocommerce 3.3.1
  • Nuevo: Compatible con WordPress 4.9.4
  • Nuevo: Actualización de la biblioteca de Stripe a 6.0
  • Nuevo: actualización de biblioteca del plugin framework

1.4.0 – Released on 09 January 2018

  • Nuevo: Compatible con Woocommerce 3.2.6
  • Nuevo: Actualización del plugin-fw a versión 3.0
  • Nuevo: Actualización de la biblioteca de Stripe a 5.8
  • Corrección: comprobación en flag capturado en payment_complete
  • Desarrollo: Nuevo filtro añadido yith_wcstripe_environment
  • Desarrollo: añadido filter yith_wcstripe_metadata para permitir a desarrolladores externos cambien el metadata enviado a los servidores de Stripe

1.3.0 – Released on 04 April 04

  • Nuevo: Compatible con WordPress 4.7.3
  • Nuevo: Compatible con WooCommerce 3.0.0-RC2
  • Nuevo: Idioma italiano
  • Mejora: Añadida comprobación de pasarela existente
  • Mejora: actualizada biblioteca de Stripe a 3.23.0
  • Mejora: cambiado dominio de texto a yith-woocommerce-stripe
  • Desarrollo: añadido filtro yith_stripe_locale para cambiar el idioma local usado en el proceso de pago alojado

1.2.9 – Released on 31 May 2016

  • Nuevo: Compatible con WC 2.6 beta 3

1.2.7.1 – Released on 11 April 2016

  • Corrección: Archivos faltantes que causan advertencias

1.2.7 – Released on 06 April 2016

  • Corrección: error fatal con Stripe/Error/API
  • Corrección: total del carrito erróneo en página de pago alojada
  • Corrección: error de servidor interno si la importación es más baja de 0.50 cent

1.2.5 – Released on 16 February 2016

  • Corrección: Biblioteca de Stripe que al cargar causa error fatal en algunos servidores

1.2.4 – Released on 19 January 2016

  • Nuevo: Compatible con WooCommerce 2.5
  • Nuevo: Compatibilidad de idioama para el modo ‘Proceso de pago de Stripe’
  • Actualización: Biblioteca de API Stripe con la última versión

1.2.3 – Released on 14 December 2015

  • Corrección: No se muestran errores con tarjetas erróneas durante el proceso de pago

1.2.2 – Released on 10 December 2015

  • Nuevo: Compatibilidad con plugin multi-moneda

1.2.0 – Released on 12 August 2015

  • Nuevo: Compatible con WooCommerce 2.4
  • Actualización: Plugin Core framework
  • Actualización: archivo de idioma pot

1.1.0 – Released on 22 April 2015

  • Nuevo: Compatible con WordPress 4.2

1.0.4 – Released on 21 April 2015

  • Actualización: catálogo de idiomas pot

1.0.3 – Released on 15 April 2015

  • Actualización: API de Stripe
  • Corrección: errores menores

1.0.2 – Released on 04 March 2015

  • Actualización: Plugin Core framework

1.0.1 – Released on 03 March 2015

  • Corrección: errores menores

1.0.0

  • Versión inicial